Get version
1 min
GET
/_cms/v1/content/{key}/versions/{version}
Path Parameters
- keystringrequired
- versionstringrequired
Header Parameters
- If-None-MatchstringDescription
- If-Modified-Sincestring<http-date>DescriptionFormathttp-date
Responses
200
- ContentVersionDescription
- objectContentData
- bindingContentBindingDescription
- contentTypeBindingstringDescription
- sourcestring<uri>requiredDescriptionFormaturi
- propertiesmap<string, PropertyData>Description
- object
- keystringDescription
- localestringDescription
- versionstringDescription
- variationstringDescription
- contentTypestringDescription
- displayNamestringrequiredDescriptionMin Length1Max Length255
- publishedstring<date-time>DescriptionFormatdate-time
- expiredstring<date-time>DescriptionFormatdate-time
- statusstring<draft | ready | published | previous | scheduled | rejected | inReview>DescriptionAlloweddraftreadypublishedpreviousscheduledrejectedinReview
- delayPublishUntilstring<date-time>DescriptionFormatdate-time
- routeSegmentstringDescriptionMax Length255
- simpleRoutestringDescriptionMax Length253Pattern^[^/].*$
- lastModifiedstring<date-time>Formatdate-time
- lastModifiedBystring
- compositionCompositionNodeDescription
- idstringDescription
- displayNamestringDescriptionMax Length255
- nodeTypestringrequiredDescriptionMin Length1
- layoutTypestringDescription
- displaySettingsCompositionDisplaySettingsDescription
- displayTemplatestringrequiredDescriptionMin Length1
- settingsmap<string, string>Description
- componentContentComponentDescription
- ContentData
- bindingContentBindingDescription
- contentTypeBindingstringDescription
- sourcestring<uri>requiredDescriptionFormaturi
- propertiesmap<string, PropertyData>Description
- object
- referencestring<uri>DescriptionFormaturi
- contentTypestringDescription
- nodesCompositionNode[]Description
- Circular-Reference
- mediaMediaDataDescription
- keystringDescriptionPattern^[a-f0-9]{32}\.[a-zA-Z0-9]{1,20}$
Response Headers
- ETagstringDescription
- Last-Modifiedstring<http-date>DescriptionFormathttp-date
304
Response Headers
- ETagstringDescription
- Last-Modifiedstring<http-date>DescriptionFormathttp-date
401
403
404
500
curl
curl --request GET \
--url /_cms/v1/content/{key}/versions/{version} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/_cms/v1/content/{key}/versions/{version}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/_cms/v1/content/{key}/versions/{version}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/_cms/v1/content/{key}/versions/{version}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"binding": {
"contentTypeBinding": "",
"source": ""
},
"properties": "",
"key": "",
"locale": "",
"version": "",
"variation": "",
"contentType": "",
"displayName": "",
"published": "",
"expired": "",
"status": "",
"delayPublishUntil": "",
"routeSegment": "",
"simpleRoute": "",
"lastModified": "",
"lastModifiedBy": "",
"composition": {
"id": "",
"displayName": "",
"nodeType": "",
"layoutType": "",
"displaySettings": {
"displayTemplate": "",
"settings": ""
},
"component": {},
"nodes": [
{
"": ""
}
]
},
"media": {
"key": ""
}
}304
// Not Modified
401
// Unauthorized
403
// Forbidden
404
// Not Found
500
// Internal Server Error